joiseystud
2011-07-02T00:34:10Z
I was hoping that someone is looking at the new DNN 6 Beta to make sure there is compatibiltiy with the new 6.0 release of DNN coming soon. I just tried to install the latest YAF for DNN module and got a couple failures:

First, the full text search wouldnt install.


Second the rest of the install seemed to go well except when i went to log into DNN as an admin and the YAF module broke with the following error:

Here is the error log entry:
InnerException: Method not found: 'DotNetNuke.Common.Lists.ListEntryInfo DotNetNuke.Common.Lists.ListEntryInfoCollection.Item(System.String)'.

FileName:

FileLineNumber: 0

FileColumnNumber: 0

Method: YAF.DotNetNuke.DataController.AddYafProfileDefinition

StackTrace:

Message: DotNetNuke.Services.Exceptions.PageLoadException: Method not found: 'DotNetNuke.Common.Lists.ListEntryInfo DotNetNuke.Common.Lists.ListEntryInfoCollection.Item(System.String)'. ---> System.MissingMethodException: Method not found: 'DotNetNuke.Common.Lists.ListEntryInfo DotNetNuke.Common.Lists.ListEntryInfoCollection.Item(System.String)'. at YAF.DotNetNuke.DataController.AddYafProfileDefinition(Int32 portalId, String category, String name, String strType, Int32 length, ListEntryInfoCollection types) at YAF.DotNetNuke.DataController.AddYafProfileDefinitions(Int32 portalId) at YAF.DotNetNuke.YafDnnModule.DotNetNukeModule_Load(Object sender, EventArgs e) at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Page.ProcessRequestMain(Boolean includeStagesBeforeAsyncPoint, Boolean includeStagesAfterAsyncPoint) --- End of inner exception stack trace ---
Sponsor
tha_watcha
2011-07-02T06:34:06Z
Its one line of code that needs to be changed.

The Next YAF Version will be available in 2 Packages one for DNN 5 and the other for DNN 6

Update: I fixed the Code. YAF 1.9.5.6 Will run without Problems in DNN 6, no Separate Install Package required.
UserPostedImage
joiseystud
2011-07-02T16:37:11Z
Originally Posted by: tha_watcha 

Its one line of code that needs to be changed.

The Next YAF Version will be available in 2 Packages one for DNN 5 and the other for DNN 6

Update: I fixed the Code. YAF 1.9.5.6 Will run without Problems in DNN 6, no Separate Install Package required.


thats great. whats the one line of code? I would like to fix this now. thanks.
tha_watcha
2011-07-02T17:01:26Z
Originally Posted by: joiseystud 

Originally Posted by: tha_watcha 

Its one line of code that needs to be changed.

The Next YAF Version will be available in 2 Packages one for DNN 5 and the other for DNN 6

Update: I fixed the Code. YAF 1.9.5.6 Will run without Problems in DNN 6, no Separate Install Package required.


thats great. whats the one line of code? I would like to fix this now. thanks.



Replace Line

ListEntryInfo typeInfo = types.Item("DataType:{0}".FormatWith(type));



From File DataController.cs in YAF.DotNetNuke.Module with


var typeInfo = types.ToGenericList<ListEntryInfo>().Find(item => item.Value.Equals(type));
 
if (typeInfo == null)
{
    return;
}

UserPostedImage
joiseystud
2011-07-02T17:48:34Z
Cool. Any idea how I can migrate all of the forums from a core DNN forums installation to YAF? Is there a migration script?
tha_watcha
2011-07-02T19:24:13Z
Originally Posted by: joiseystud 

Cool. Any idea how I can migrate all of the forums from a core DNN forums installation to YAF? Is there a migration script?



No sorry currently there is no script. There are a lot of tables to migrate, its not impossible but it take some time to create such script. Currently i didnt have time for that. Maybe someone else can help?
UserPostedImage
joiseystud
2011-07-02T21:47:05Z
Originally Posted by: tha_watcha 

Originally Posted by: joiseystud 

Cool. Any idea how I can migrate all of the forums from a core DNN forums installation to YAF? Is there a migration script?



No sorry currently there is no script. There are a lot of tables to migrate, its not impossible but it take some time to create such script. Currently i didnt have time for that. Maybe someone else can help?



I wish i could help. I dont really know sql very much. I happen to know that there are a bunch of DNN core forums out there that would love to migrate.
amir-irani
2011-10-22T08:19:53Z
hi my friends. i have joiseystud's problem too. but i can't find DataController.cs file in YAF.DotNetNuke for Replacing cod.:(
is any one there to help me?!
thanks...

Try to make our heart line less busy may the God is calling us...
tha_watcha
2011-10-22T11:38:08Z
Originally Posted by: amir-irani 

hi my friends. i have joiseystud's problem too. but i can't find DataController.cs file in YAF.DotNetNuke for Replacing cod.:(
is any one there to help me?!
thanks...




Which YAF Version did you use?

you can also try the current beta Version where the problem is fixed.

http://dnnyafnet.codeplex.com/releases/view/72920 
UserPostedImage
amir-irani
2011-10-22T11:52:44Z
Originally Posted by: tha_watcha 

Originally Posted by: amir-irani 

hi my friends. i have joiseystud's problem too. but i can't find DataController.cs file in YAF.DotNetNuke for Replacing cod.:(
is any one there to help me?!
thanks...




Which YAF Version did you use?

you can also try the current beta Version where the problem is fixed.

http://dnnyafnet.codeplex.com/releases/view/72920 


ver 1.9.5
thanks my friend. that Was correct.
Try to make our heart line less busy may the God is calling us...
amir-irani
2011-10-26T11:15:10Z
after install yaf 1.9.6 majul in dnn 6. that showing this error when i opening the site: :(

UserPostedImage


please help me. thanks...
Try to make our heart line less busy may the God is calling us...
tha_watcha
2011-10-26T11:28:46Z
Originally Posted by: amir-irani 

wen in install yaf 1.9.6 majul in dnn 6. that showing this error when i opening the site: :(

please help me. thanks...



Are there any entries in the Event Log of DNN? Otherwise turn custom errors off in the web.config as suggested in the Error Description.
UserPostedImage
amir-irani
2011-10-26T11:43:29Z
i reinstalling the dnn... but i sure if install that majul again that sho this error again.
Try to make our heart line less busy may the God is calling us...
thienvc
2011-11-15T12:47:17Z
Originally Posted by: tha_watcha 

Its one line of code that needs to be changed.

The Next YAF Version will be available in 2 Packages one for DNN 5 and the other for DNN 6

Update: I fixed the Code. YAF 1.9.5.6 Will run without Problems in DNN 6, no Separate Install Package required.



i found only lastest dnnyaf is 1.9.6.0 beta1 and 1.9.5.5 RTW, i not found 1.9.5.6

can i run 1.9.6.0 beta1 under .net 3.5 (not .net 4)!?
tha_watcha
2011-11-15T14:22:05Z
No, yaf 1.96 needs .NET 4
UserPostedImage

About Us

The YAF.NET is an open source .NET forum project. YAF.NET is supported by an team of international developers who are build community by building community software.

Powered by Resharper Donate with PayPal button

Project Twitter Updates

Copyright © YetAnotherForum.NET & Ingo Herbote. All rights reserved